#### PyKDE - Python Bindings for KDE

# class KArrowButton |
Table of contents
Modules
tdeui Classes
All Classes

Module | tdeui
Class | KArrowButton
Inherits | TQPushButton

### methods

- KArrowButton (parent = 0, arrow = TQt .UpArrow, name = 0)

  returns a KArrowButton instance
  Argument | Type | Default
  --- | --- | ---
  parent | TQWidget | 0
  arrow | TQt.ArrowType | TQt .UpArrow
  name | char | 0

- arrowTp ()

  returns (int)
  In versions KDE 3.4.0 and above only

- arrowType ()

  returns (TQt.ArrowType)
  In versions KDE 3.4.0 and above only

- drawButton (a0)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a0 | TQPainter |

- setArrowTp (tp)

  returns nothing
  In versions KDE 3.4.0 and above only
  Argument | Type | Default
  --- | --- | ---
  tp | int |

- setArrowType (a)

  returns nothing
  Argument | Type | Default
  --- | --- | ---
  a | TQt.ArrowType |

- sizeHint ()

  returns (TQSize)